| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
spi_8xx.c File Reference
`#include "chip.h"`

Go to the source code of this file.

## Functions
static void | SPI_Send_Data_RxIgnore (LPC_SPI_T *pSPI, CHIP_SPI_DATA_SETUP_T *pXfSetup)
static void | SPI_Send_Data (LPC_SPI_T *pSPI, CHIP_SPI_DATA_SETUP_T *pXfSetup)
static void | SPI_Send_Dummy (LPC_SPI_T *pSPI, CHIP_SPI_DATA_SETUP_T *pXfSetup)
static void | SPI_Receive_Data (LPC_SPI_T *pSPI, CHIP_SPI_DATA_SETUP_T *pXfSetup)
uint32_t | Chip_SPI_CalClkRateDivider (LPC_SPI_T *pSPI, uint32_t bitRate)
| Calculate the divider for SPI clock.
void | Chip_SPI_Init (LPC_SPI_T *pSPI, SPI_CONFIG_T *pConfig)
| Initialize the SPI.
void | Chip_SPI_DeInit (LPC_SPI_T *pSPI)
| Deinitialise the SPI.
void | Chip_SPI_Int_Cmd (LPC_SPI_T *pSPI, uint32_t IntMask, FunctionalState NewState)
| Enable/Disable SPI interrupt.
uint32_t | Chip_SPI_RWFrames_Blocking (LPC_SPI_T *pSPI, CHIP_SPI_DATA_SETUP_T *pXfSetup)
| SPI Polling Read/Write in blocking mode.
uint32_t | Chip_SPI_WriteFrames_Blocking (LPC_SPI_T *pSPI, CHIP_SPI_DATA_SETUP_T *pXfSetup)
| SPI Polling Write in blocking mode.
uint32_t | Chip_SPI_ReadFrames_Blocking (LPC_SPI_T *pSPI, CHIP_SPI_DATA_SETUP_T *pXfSetup)
| SPI Polling Read in blocking mode.
Status | Chip_SPI_Int_RWFrames (LPC_SPI_T *pSPI, CHIP_SPI_DATA_SETUP_T *pXfSetup)
| SPI Interrupt Read/Write.

## Function Documentation

static void SPI_Receive_Data | ( | LPC_SPI_T * | pSPI,
|  | CHIP_SPI_DATA_SETUP_T * | pXfSetup
| ) |  |
| static

Definition at line 83 of file spi_8xx.c.

static void SPI_Send_Data | ( | LPC_SPI_T * | pSPI,
|  | CHIP_SPI_DATA_SETUP_T * | pXfSetup
| ) |  |
| static

Definition at line 59 of file spi_8xx.c.

static void SPI_Send_Data_RxIgnore | ( | LPC_SPI_T * | pSPI,
|  | CHIP_SPI_DATA_SETUP_T * | pXfSetup
| ) |  |
| static

Definition at line 46 of file spi_8xx.c.

static void SPI_Send_Dummy | ( | LPC_SPI_T * | pSPI,
|  | CHIP_SPI_DATA_SETUP_T * | pXfSetup
| ) |  |
| static

Definition at line 72 of file spi_8xx.c.